Package org.apache.commons.compress.archivers.jar

# Class JarArchiveEntry

java.lang.Object
java.util.zip.ZipEntry
org.apache.commons.compress.archivers.zip.ZipArchiveEntry
org.apache.commons.compress.archivers.jar.JarArchiveEntry

All Implemented Interfaces:
  `Cloneable`, `ArchiveEntry`, `EntryStreamOffsets`

public class JarArchiveEntry extends ZipArchiveEntry
JAR archive entry.

This class is not thread-safe
  (parent is not thread-safe)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.compress.archivers.zip.ZipArchiveEntry

  `ZipArchiveEntry.CommentSource, ZipArchiveEntry.ExtraFieldParsingMode, ZipArchiveEntry.NameSource`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CENATT`
  `static final int`
  `CENATX`
  `static final int`
  `CENCOM`
  `static final int`
  `CENCRC`
  `static final int`
  `CENDSK`
  `static final int`
  `CENEXT`
  `static final int`
  `CENFLG`
  `static final int`
  `CENHDR`
  `static final int`
  `CENHOW`
  `static final int`
  `CENLEN`
  `static final int`
  `CENNAM`
  `static final int`
  `CENOFF`
  `static final long`
  `CENSIG`
  `static final int`
  `CENSIZ`
  `static final int`
  `CENTIM`
  `static final int`
  `CENVEM`
  `static final int`
  `CENVER`
  `static final int`
  `ENDCOM`
  `static final int`
  `ENDHDR`
  `static final int`
  `ENDOFF`
  `static final long`
  `ENDSIG`
  `static final int`
  `ENDSIZ`
  `static final int`
  `ENDSUB`
  `static final int`
  `ENDTOT`
  `static final int`
  `EXTCRC`
  `static final int`
  `EXTHDR`
  `static final int`
  `EXTLEN`
  `static final long`
  `EXTSIG`
  `static final int`
  `EXTSIZ`
  `static final int`
  `LOCCRC`
  `static final int`
  `LOCEXT`
  `static final int`
  `LOCFLG`
  `static final int`
  `LOCHDR`
  `static final int`
  `LOCHOW`
  `static final int`
  `LOCLEN`
  `static final int`
  `LOCNAM`
  `static final long`
  `LOCSIG`
  `static final int`
  `LOCSIZ`
  `static final int`
  `LOCTIM`
  `static final int`
  `LOCVER`

  ### Fields inherited from class org.apache.commons.compress.archivers.zip.ZipArchiveEntry

  `CRC_UNKNOWN, PLATFORM_FAT, PLATFORM_UNIX`

  ### Fields inherited from class java.util.zip.ZipEntry

  `DEFLATED, STORED`

  ### Fields inherited from interface org.apache.commons.compress.archivers.ArchiveEntry

  `SIZE_UNKNOWN`

  ### Fields inherited from interface org.apache.commons.compress.archivers.EntryStreamOffsets

  `OFFSET_UNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JarArchiveEntry(String name)`
  Constructs a new instance.
  `JarArchiveEntry(JarEntry entry)`
  Constructs a new instance.
  `JarArchiveEntry(ZipEntry entry)`
  Constructs a new instance.
  `JarArchiveEntry(ZipArchiveEntry entry)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Certificate[]`
  `getCertificates()`
  Deprecated.
  since 1.5, not currently implemented
  `Attributes`
  `getManifestAttributes()`
  Deprecated.
  since 1.5, do not use; always returns null

  ### Methods inherited from class org.apache.commons.compress.archivers.zip.ZipArchiveEntry

  `addAsFirstExtraField, addExtraField, clone, equals, getAlignment, getCentralDirectoryExtra, getCommentSource, getDataOffset, getDiskNumberStart, getExternalAttributes, getExtraField, getExtraFields, getExtraFields, getExtraFields, getGeneralPurposeBit, getInternalAttributes, getLastModifiedDate, getLocalFileDataExtra, getLocalHeaderOffset, getMethod, getName, getNameSource, getPlatform, getRawFlag, getRawName, getSize, getTime, getUnixMode, getUnparseableExtraFieldData, getVersionMadeBy, getVersionRequired, hashCode, isDirectory, isStreamContiguous, isUnixSymlink, removeExtraField, removeUnparseableExtraFieldData, setAlignment, setCentralDirectoryExtra, setCommentSource, setCreationTime, setDataOffset, setDiskNumberStart, setExternalAttributes, setExtra, setExtra, setExtraFields, setGeneralPurposeBit, setInternalAttributes, setLastAccessTime, setLastModifiedTime, setLocalHeaderOffset, setMethod, setName, setName, setNameSource, setPlatform, setRawFlag, setSize, setStreamContiguous, setTime, setTime, setUnixMode, setVersionMadeBy, setVersionRequired`

  ### Methods inherited from class java.util.zip.ZipEntry

  `getComment, getCompressedSize, getCrc, getCreationTime, getExtra, getLastAccessTime, getLastModifiedTime, setComment, setCompressedSize, setCrc, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LOCSIG

    static final long LOCSIG
    See Also:
      - Constant Field Values

  - ### EXTSIG

    static final long EXTSIG
    See Also:
      - Constant Field Values

  - ### CENSIG

    static final long CENSIG
    See Also:
      - Constant Field Values

  - ### ENDSIG

    static final long ENDSIG
    See Also:
      - Constant Field Values

  - ### LOCHDR

    static final int LOCHDR
    See Also:
      - Constant Field Values

  - ### EXTHDR

    static final int EXTHDR
    See Also:
      - Constant Field Values

  - ### CENHDR

    static final int CENHDR
    See Also:
      - Constant Field Values

  - ### ENDHDR

    static final int ENDHDR
    See Also:
      - Constant Field Values

  - ### LOCVER

    static final int LOCVER
    See Also:
      - Constant Field Values

  - ### LOCFLG

    static final int LOCFLG
    See Also:
      - Constant Field Values

  - ### LOCHOW

    static final int LOCHOW
    See Also:
      - Constant Field Values

  - ### LOCTIM

    static final int LOCTIM
    See Also:
      - Constant Field Values

  - ### LOCCRC

    static final int LOCCRC
    See Also:
      - Constant Field Values

  - ### LOCSIZ

    static final int LOCSIZ
    See Also:
      - Constant Field Values

  - ### LOCLEN

    static final int LOCLEN
    See Also:
      - Constant Field Values

  - ### LOCNAM

    static final int LOCNAM
    See Also:
      - Constant Field Values

  - ### LOCEXT

    static final int LOCEXT
    See Also:
      - Constant Field Values

  - ### EXTCRC

    static final int EXTCRC
    See Also:
      - Constant Field Values

  - ### EXTSIZ

    static final int EXTSIZ
    See Also:
      - Constant Field Values

  - ### EXTLEN

    static final int EXTLEN
    See Also:
      - Constant Field Values

  - ### CENVEM

    static final int CENVEM
    See Also:
      - Constant Field Values

  - ### CENVER

    static final int CENVER
    See Also:
      - Constant Field Values

  - ### CENFLG

    static final int CENFLG
    See Also:
      - Constant Field Values

  - ### CENHOW

    static final int CENHOW
    See Also:
      - Constant Field Values

  - ### CENTIM

    static final int CENTIM
    See Also:
      - Constant Field Values

  - ### CENCRC

    static final int CENCRC
    See Also:
      - Constant Field Values

  - ### CENSIZ

    static final int CENSIZ
    See Also:
      - Constant Field Values

  - ### CENLEN

    static final int CENLEN
    See Also:
      - Constant Field Values

  - ### CENNAM

    static final int CENNAM
    See Also:
      - Constant Field Values

  - ### CENEXT

    static final int CENEXT
    See Also:
      - Constant Field Values

  - ### CENCOM

    static final int CENCOM
    See Also:
      - Constant Field Values

  - ### CENDSK

    static final int CENDSK
    See Also:
      - Constant Field Values

  - ### CENATT

    static final int CENATT
    See Also:
      - Constant Field Values

  - ### CENATX

    static final int CENATX
    See Also:
      - Constant Field Values

  - ### CENOFF

    static final int CENOFF
    See Also:
      - Constant Field Values

  - ### ENDSUB

    static final int ENDSUB
    See Also:
      - Constant Field Values

  - ### ENDTOT

    static final int ENDTOT
    See Also:
      - Constant Field Values

  - ### ENDSIZ

    static final int ENDSIZ
    See Also:
      - Constant Field Values

  - ### ENDOFF

    static final int ENDOFF
    See Also:
      - Constant Field Values

  - ### ENDCOM

    static final int ENDCOM
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JarArchiveEntry

    public JarArchiveEntry(JarEntry entry) throws ZipException
    Constructs a new instance.
    Parameters:
      `entry` - See super.
    Throws:
      `ZipException` - See super.

  - ### JarArchiveEntry

    public JarArchiveEntry(String name)
    Constructs a new instance.
    Parameters:
      `name` - See super.

  - ### JarArchiveEntry

    public JarArchiveEntry(ZipArchiveEntry entry) throws ZipException
    Constructs a new instance.
    Parameters:
      `entry` - See super.
    Throws:
      `ZipException` - See super.

  - ### JarArchiveEntry

    public JarArchiveEntry(ZipEntry entry) throws ZipException
    Constructs a new instance.
    Parameters:
      `entry` - See super.
    Throws:
      `ZipException` - See super.

- ## Method Details

  - ### getCertificates

    @Deprecated public Certificate[] getCertificates()
    Deprecated.
    since 1.5, not currently implemented
    Gets a copy of the list of certificates or null if there are none.
    Returns:
      Always returns null in the current implementation

  - ### getManifestAttributes

    @Deprecated public Attributes getManifestAttributes()
    Deprecated.
    since 1.5, do not use; always returns null
    This method is not implemented and won't ever be. The JVM equivalent has a different name `JarEntry.getAttributes()`
    Returns:
      Always returns null.